Bug 66584 - [MAINTAINER] ports/sysutils/file -> 4.09
Summary: [MAINTAINER] ports/sysutils/file -> 4.09
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-12 22:30 UTC by jharris
Modified: 2004-05-26 12:24 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2004-05-12 22:30:13 UTC
	update ports/sysutils/file from 4.07 to 4.09

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iD8DBQFAopSuSypIl9OdoOMRAuSyAKDCCbmVslQ4Ydy48XqVt+9++kKIKQCgmJeC
P1sVByZWc9jyEqfrk4BIWZ4=
=sMEb
-----END PGP SIGNATURE-------P86aOmBuHMM6PxqKkFnfmMBBtnaODpglCLnpOlpsCe46u6uz
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/sysutils/file/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- Makefile	14 Mar 2004 06:17:23 -0000	1.11
+++ Makefile	12 May 2004 21:17:52 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	file
-PORTVERSION=	4.07
+PORTVERSION=	4.09
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.astron.com/pub/file/ \
 		ftp://ftp.gw.com/mirrors/pub/unix/file/ \
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/sysutils/file/distinfo,v
retrieving revision 1.8
diff -u -r1.8 distinfo
--- distinfo	3 Jan 2004 21:29:16 -0000	1.8
+++ distinfo	12 May 2004 21:17:52 -0000
@@ -1,4 +1,5 @@
-MD5 (file-4.07.tar.gz) = ecfbf092c2c19119d9386e668f890954
-SHA1 (file-4.07.tar.gz) = 162fecc0f0eace87ea80e8b06494adc58dfe80e7
-RMD160 (file-4.07.tar.gz) = 6e58db6f0831c3b3bb9036d54cadae78dde3b25d
-SIZE (file-4.07.tar.gz) = 355647
+MD5 (file-4.09.tar.gz) = 46209022d57dbca7bb3cc07aa63bd008
+SHA1 (file-4.09.tar.gz) = ba960e47ab433b1077d0ba1644c9edf3c81253ec
+RMD160 (file-4.09.tar.gz) = ffe3205bfcc9d8f2732dc06d6f1117c6d70ef43c
+SHA256 (file-4.09.tar.gz) = 36c57559a3de4ea0b7143aec5ed650268edffc5e08978abdc13f57474d15a4ab
+SIZE (file-4.09.tar.gz) = 365226
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-05-13 22:53:23 UTC
State Changed
From-To: open->feedback

When trying to install on 4.9, I get the following: 

file.o: In function `file_mbswidth': 
/home/pcvs/ports/sysutils/file/work/file-4.09/src/file.c:465: undefined reference to `mbrtowc' 
/home/pcvs/ports/sysutils/file/work/file-4.09/src/file.c:479: undefined reference to `wcwidth' 

Can the submitter confirm this?
Comment 2 Pav Lucistnik freebsd_committer 2004-05-26 12:24:36 UTC
State Changed
From-To: feedback->closed

Committed, thanks! 

Please note that I worked around non-C99 compiler in FreeBSD 4.x